@use '../../../src/stylesheets/core/breakpoints' as bp;

.doc-example {
  padding: var(--spacer-tiny);
  border-radius: var(--border-radius);
  background: var(--background-color-alt);

  &__actions.rui-toolbars {
    display: inline-flex;
    height: unset;
    padding: var(--spacer-tiny);
    border-radius: var(--border-radius-small) var(--border-radius-small) 0 0;
    background: var(--background-color);
  }

  &__wrapper {
    padding: var(--spacer-default);
    border-radius: 0 var(--border-radius-small) var(--border-radius-small) var(--border-radius);
    background: var(--background-color);
    box-shadow: 0 0 20px -5px var(--border-color);
  }

  &__content {
    border: 1px dashed transparent;
    background-color: var(--background-color);

    &--outline {
      > * {
        box-shadow: 0 0 0 1px #7400D9 !important; // stylelint-disable-line declaration-no-important

        > * {
          box-shadow: 0 0 0 1px #0074D9 !important; // stylelint-disable-line declaration-no-important

          > * {
            box-shadow: 0 0 0 1px #74D900 !important; // stylelint-disable-line declaration-no-important
          }
        }
      }
    }

    &--checkered { background-image: var(--background-checked); }

    &--padded { padding: var(--spacer-default); }

    &--tiny { max-width: calc(#{bp.$small} - 10px); }
    &--small { max-width: bp.$small; }
    &--medium { max-width: bp.$medium; }
    &--large { max-width: bp.$large; }
  }

  &__aside {
    > pre {
      border-top-left-radius: 0;
      border-top-right-radius: 0;
    }
  }
}
